summaryrefslogtreecommitdiff
path: root/tests/runall
diff options
context:
space:
mode:
Diffstat (limited to 'tests/runall')
-rwxr-xr-xtests/runall17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/runall b/tests/runall
new file mode 100755
index 0000000..e25f8ef
--- /dev/null
+++ b/tests/runall
@@ -0,0 +1,17 @@
+#! /bin/sh
+set -e
+
+fail_counter=0
+
+trap '[ $? -eq 0 ] && rm -f current-test.out current-test.err' 0
+
+for test in $@; do
+ ${test} 2>current-test.err >current-test.out
+ if grep "not ok" current-test.out >/dev/null 2>/dev/null; then
+ echo "${test} failed:" >&2
+ cat current-test.err >&2
+ fail_counter=`expr ${fail_counter} + 1`
+ fi
+done
+
+exit ${fail_counter}